package com.zjrs.ggfw.portal.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import jakarta.validation.constraints.NotBlank;

@TableName("v_rs_rcfwgl_dazc")
@ApiModel(value="v_rs_rcfwgl_dazd对象", description="档案转递（机要寄档）")
public class VRsWbDazd {

    @TableId(value = "RS_RCFWGL_DAZC_LSH",type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value = "主键")
    private String rsfwgldazclsh;

    @ApiModelProperty(value = "办件流水号")
    @TableField("RS_WB_BJ_LSH")
    @NotBlank(message = "办件流水号不能为空")
    private String rsWbBjLsh;

    @ApiModelProperty(value = "受理流水号")
    @TableField("SLLSH")
    private String sllsh;

    @ApiModelProperty(value = "调档单位名称")
    @TableField("DDDWMC")
    private String dddwmc;

    public String getRsfwgldazclsh() {
        return rsfwgldazclsh;
    }

    public void setRsfwgldazclsh(String rsfwgldazclsh) {
        this.rsfwgldazclsh = rsfwgldazclsh;
    }

    public String getSllsh() {
        return sllsh;
    }

    public void setSllsh(String sllsh) {
        this.sllsh = sllsh;
    }

    public String getRsWbBjLsh() {
        return rsWbBjLsh;
    }

    public void setRsWbBjLsh(String rsWbBjLsh) {
        this.rsWbBjLsh = rsWbBjLsh;
    }

    public String getDddwmc() {
        return dddwmc;
    }

    public void setDddwmc(String dddwmc) {
        this.dddwmc = dddwmc;
    }
}
